Bug 1314765 - CVE-2016-2842 mingw-openssl: openssl: doapr_outch function does not verify that certain memory allocation succeeds [fedora-all]
CVE-2016-2842 mingw-openssl: openssl: doapr_outch function does not verify th...
Status: CLOSED DUPLICATE of bug 1312857
Product: Fedora
Classification: Fedora
Component: mingw-openssl (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard W.M. Jones
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2016-2842
  Show dependency treegraph
Reported: 2016-03-04 07:31 EST by Adam Mariš
Modified: 2016-03-04 08:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-03-04 08:30:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-04 07:31:03 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2016-03-04 07:31:12 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.


# bugfix, security, enhancement, newpackage (required)

# testing, stable

# Bug numbers: 1234,9876

# Description of your update
notes=Security fix for CVE-2016-2842

# Enable request automation based on the stable/unstable karma thresholds

# Automatically close bugs when this marked as stable

# Suggest that users restart after update


Additionally, you may opt to use the bodhi web interface to submit updates:

Comment 2 Adam Mariš 2016-03-04 08:30:38 EST
Patch is the same as in CVE-2016-0799.

*** This bug has been marked as a duplicate of bug 1312857 ***

Note You need to log in before you can comment on or make changes to this bug.